# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [3.3.57] - 2024-26-02
### Fixed
- [IN-4673] Fixes epsilon calculation

## [3.3.56] - 2023-25-10
### Added
- [IN-4406] Cancellation for order creation error in return controller
### Fixed
- [IN-4673] Corrects mandatory fields in create order API

## [3.3.55] - 2023-02-06
### Fixed
-  Fixed attributes in Scalapay widget in checkout description.
-  Fixed plugin configurations
### Removed
- Configuration "Hide if price is below min order value".

## [3.3.54] - 2023-01-24
### Added
-  Added Scalapay widget in checkout description.

## [3.3.53] - 2022-02-08
### Added
-  Added number of payments to 4.

## [3.3.52] - 2022-02-04
### Added
-  Added Spanish language support.

## [3.3.51] - 2022-02-01
### Added
-  Customized value in plugin details.

## [3.3.50] - 2022-01-05
### Changed
- Changed staging endpoint.

## [3.3.49] - 2021-10-07
### Added
- Added  text below Scalapay widget on product page.

## [3.3.48] - 2021-05-10
### Changed
- Changed Scalapay text on checkout page.

## [3.3.47] - 2021-04-30
### Fixed
- Code review - fixed errors and warnings.

## [3.3.46] - 2021-04-19
### Added
- Added CHANGELOG.md file.

## [3.3.45] - 2021-02-08
### Added
- magento1 discount amount issue
- Added epsilon checks on order total

### Changed
- Changed Scalapay refund orderToken index in response

## [3.3.44] - 2021-01-24	
### Added
- Disabled download logs

## [3.3.43] - 2021-01-11
### Fixed
- Fixed checkout translation issue.

## [3.3.42] - 2020-12-23
### Fixed
- Fixed address issue after scalapay payment.

## [3.3.41] - 2020-12-15
### Added
- Added integration for AW onestepcheckout

## [3.3.40] - 2020-11-20
### Fixed
- Fixed for onestepcheckout js logic

## [3.3.39] - 2020-11-20
### Added
- Added check for registered user email check befire redirection to Scalapay

## [3.3.38] - 2020-11-13
### Added
- Added scalapay and magento version in payload

## [3.3.37] - 2020-11-05
### Added
- Set initial order status

## [3.3.36] - 2020-11-03
### Changed
- Magento v1 plugin versioning

## [3.3.35] - 2020-11-03
### Changed
- Magento v1 plugin versioning

## [3.3.34] - 2020-10-06
### Fixed
- Fixed order email issue on scalapay confirm.

## [3.3.33] - 2020-09-29
### Changed
- Separated config field for translation.

## [3.3.32] - 2020-09-09
### Added
- Fixed issue with onestepcheckout stra

## [3.3.31] - 2020-09-09
### Added
- Added redirect for Amasty_Scheckout

### Removed
- Removed admin configuration for checkout translations

## [3.3.30] - 2020-08-25
### Fixed
- Admin config label fixed

## [3.3.29] - 2020-08-20
### Removed
- magento v1 remove language translation.

## [3.3.28] - 2020-08-20
### Changed
- Readonly endpoint urls
- Production and test info separated.

### Removed
- Removed translations for admin site configuration.

## [3.3.27] - 2020-07-29
### Changed
- Checkout logo changed.

## [3.3.26] - 2020-07-03
### Added
- Attribute added - Show/Hide price in widget.
- Feature added- Apply min order value.

### Fixed
- Fixed translation -Apply min order value.

## [3.3.25] - 2020-06-15
### Fixed
- Fixed Scalapay listing in payment via soap and rest api request

## [2.2.24] - 2020-09-30
### Fixed
- Fixed address issue.

## [2.2.23] - 2020-06-02
### Added
- Added manufacturer as brand in payload.

## [2.2.22] - 2020-05-29
### Added
- Add log while converting quote to order.
- Added payload to product information in order V2 call

## [2.2.21] - 2020-05-19
### Fixed
- Fixed Address field issue + removed Idev checkout js
- Fixed according to Happy babbies website.

## [2.2.20] - 2020-05-15
### Fixed
- Fixed for fireccheckout and removed firecheckout js

## [2.2.19] - 2020-05-12
### Fixed
- Fixed issues - Magestore oneStepcheckout.

## [2.2.18] - 2020-05-04
### Fixed
- Fixed translations and category issue.

## [2.2.17] - 2020-05-02
### Changed
- Change plugin config ui

## [2.2.16] - 2020-04-30
### Changed
- Change plugin UI backend.
- Move API url from .it to .com

## [2.2.15] - 2020-04-30
### Fixed
- Fixed: restrict order if scalapay is selected and if order is by passing scalapay

## [2.2.14] - 2020-04-17
### Added
- Feature added - Restrict Scalapay on specific categories.

## [2.2.13] - 2020-04-14
### Added
- Feature added - Disable scalapay for specific categories.

### Fixed
- Fixed categories issue.

## [2.2.12] - 2020-07-16
### Fixed
- Fixed price issue on checkout and italian text.

## [2.2.11] - 2020-04-09
### Added
- Feature Added - scalapay logo on language base.

## [2.2.10] - 2020-04-09
### Removed
- Removed state preselection at checkout page.

## [2.2.9] - 2020-04-09
### Changed
- Update widget translations magent

## [1.1.8] - 2020-04-09
### Added
- Added Scalapay widget on product and cart page.

### Fixed
- Fixed address issue and payment method list in API
- fixed cart page amount selector
- fixed logo layout by css at checkout page
- fixed logo layout by css at checkout page

### Changed
- Set the configuration field disabled
- Changed scalapay config field type from label to text
- Updated translations.

### Removed
- Removed state preselection at checkout page.
- Removed config calls.

## [1.1.7] - 2020-03-26
### Fixed
- Send only attribtes to scalapay which have data.

## [1.1.6] - 2020-03-18
### Fixed
- Fixed bug for MD onepage checkout.

### Removed
- Removed scalapay extra fields from order table.

## [1.1.5] - 2020-03-17
### Added
- Added features for MD onestepcheckout

## [1.1.4] - 2020-03-17
### Fixed
- Fixed by cancel order if by pass scalapay + fixed variable issue on checkout

### Added
- Added features for MD onestepcheckout

### Removed
- Segment removed.

## [1.1.3] - 2020-03-11
### Added
- ACL rules added on scalapay payment method settings.

## [0.0.2] - 2020-03-04
### Added
- Magento v1 - Add versioning to the bitbucket pipeline

## [0.0.1] - 2020-03-03
### Added
- French translation added.
- Added new checks for Idev onestep checkout
- Added dynamic languages check in multilingual popup.
- Feature added - multilingual popup
- Feature added- used cookies to cache config information.
- Allowed all fields to availabel at store view level from admin
- Feature added - multiple language support
- Added changes for standard module.
- Added checks for duplicated orders
- Dynamic popup and scalapay segments library
- Added refund feature
- Initial commit - stable realese - for marketplace
- Added Site url field as store name
- Added refund feature


### Changed
- Set cookie default time to 1 day.
- Reduced more calls to server when popup shows.
- initial - changed payment capture call logic
- Updated api connection to use Bearer token
- Updated readme for creating FTP account through SSH login
- relaoded checkout details in case of guest checkout
- Order status according to setting in admin
- Updated configuration default settings
- Updated popup images
- Updated plugin structure for integrating firecheckout and other checkout method
- Updated popup images and default configurations
- Improve Integration with preloaded Javascript/CSS - Magento V1
- Update Scalapay tagline on product page or checkout
- Updated readme

### Fixed
- Error handling - if an order is failed.
- Fixed payment method description layout and log file path issue
- Fixed comma in translations
- Fixed bug - Cart not empty after order placed.
- Fixed issue with child product.
- Fixed fixed popup on checkout page.
- Fixed issue in case if no response from scalapay server.
- Fixed issue- last item in cart when creating order after return from scalapay.
- Fixed scalapay library error when website merged the js files.
- Fixed - checkout price formating issue.
- Fixed checkout process bug.
- Fixed loading popup issue in a subdomain.
- fixed popup issue.
- Fixed cookie time issue and loading content issue with popup. 
- Fixed bug - checkout page js error if scalapay is not available - added extra check.
- Fixed text in German language.
- Initial - fixed changes according to website.
- Fixed issue of virtual products
- Fixed multiple place order buttons issue
- Fixed discount array issue
- Shipping cost is not coming through in the Payload
- Fix order status magento v1

### Removed
- removed max limit
- Removed popup fields and old functions
- deleted duplicated file scalapay.php
- Segments removed
 
