## 1.1 Scalapay Installation for Magento 1 integration

This section outlines the steps to install the Scalapay plugin on your Magento instance for the first time,if you already have FTP access.

In case you only have SSH access,you can follow below steps to first create FTP account.

Create FTP user:

1. Login as root through SSH.

2. Next add the user account you want using the 'useradd' command

   # useradd <username>
   
3. Set user password

   # passwd <-username> 
   
3. Now create a special group for that user,if you dont have already.
   
   # groupadd <groupname>
   
4. Now to add the user to the group

   # gpasswd -a <username> <groupname>
   
5. Change the group ownership of the special directory to that group.

   # chgrp -R groupname /path/to/your/web/directory
   
6. To chmod the directory with read, write, execute for the given group

   # chmod -R g+rw /path/to/your/web/directory
   
   
Once you create the user, its group and set them up, the user will have access via port 21 (FTP) to the Server and if that Dedicated Server is running an FTP Server, you will be able to establish an FTP Connection successfully!
   

Magento can be installed in any folder on the merchants server however for the purposes of this document, [MAGENTO] will refer to the root folder where Magento is installed.

1.  The Magento-Scalapay plugin is available as a .zip or tar.gz file from the Scalapay GitHub directory.
2.  Unzip the file and follow the following instructions to copy the files to the Magento website directory.
3.  Copy all files in:  
    _/app/code/community/_  
    to:  
    _[MAGENTO]/app/code/community_
4.  Copy all files in:  
    _/app/design/frontend/base/default/layout_  
    to:  
    _[MAGENTO]/design/frontend/base/default/layout_
5.  Copy all files in:  
    _/app/design/frontend/base/default/template_  
    to:  
    _[MAGENTO]/app/design/frontend/base/default/template_
6.  Copy all files in:  
    _/app/etc/modules_  
    to:  
    _[MAGENTO]/app/etc/modules_
7.  Copy all files in:  
    _/js/_   
    to:  
    _[MAGENTO]_/js_
8.  Copy all files in:  
    _/skin/frontend/base/default/_  
    to:  
    _[MAGENTO]_/skin/frontend/base/default_
9.  Copy file:  
    _/app/design/frontend/rwd/default/template/catalog/product/view.phtml  
    Replace with:  
    _[MAGENTO]/app/design/frontend/[YOUR_THEME_DIR]/default/template/catalog/product/view.phtml
     [NOTE:First take backup of your file because this will overide your file.If you don't want to replace all file ,you can just add <?php echo $this->getLayout()->getBlock('scalapay_product_instalments')->setTemplate('Scalapay/scalapay/product_instalments.phtml')->toHtml();?> in file below <?php echo $this->getTierPriceHtml() ?>.]	
10.  Login to Magento Admin and navigate to System/Cache Management
11.  Flush the cache storage by selecting _Flush Cache Storage_

## 1.2 Scalapay Plugin Setup

To configure the Scalapay Credentials in Magento Admin complete the below steps. Prerequisite for this section is to obtain an Scalapay API Username and API Password from Scalapay.

1.  Navigate to _Magento Admin/System/Configuration/Sales/Payment Methods/Scalapay_
2.  Enter the API Username and API Password (provided by Scalapay)
3.  Enable Scalapay plugin using the _Enabled_ dropdown.
4.  Configure the Scalapay API Mode (_Test Mode_ for testing on a staging instance and _Production Mode_ for a live website and legitimate transactions).
5.  Save the configuration.


## 1.3 Upgrade Of Scalapay Installation

This section outlines the steps to upgrade the currently installed Scalapay plugins version.

The process of upgrading the Scalapay plugin involves the complete removal of Scalapay plugin files, followed by copying the new files.

[MAGENTO] will refer to the root folder where you have installed your version of Magento.

1.  The Scalapay plugin is available as a .zip or tar.gz file from the Scalapay GitHub directory.
2.  Unzip the file and follow the following instructions to copy the files to the Magento website directory.
3.  Remove all files in:  
    _[MAGENTO]/app/code/community/Scalapay folders_
4.  Copy new files to:  
    _[MAGENTO]/app/code/community/Scalapay folders_
5.  Remove all files in:  
    _[MAGENTO]/app/design/frontend/base/default/layout/Scalapay & analytics folders_
6.  Copy new files to:  
    _[MAGENTO]/design/frontend/base/default/layout/Scalapay & analytics folders_
7.  Remove all files in:  
    _[MAGENTO]/app/design/frontend/base/default/template/Scalapay folders_
8.  Copy new files to:  
    _[MAGENTO]/app/design/frontend/base/default/template/Scalapay folders_
9.  Remove files:  
    _[MAGENTO]/app/etc/modules/Scalapay_Scalapay.xml_
10.  Copy new file to:  
    _[MAGENTO]/app/etc/modules/_ 
12.  Copy new file to:  
    _[MAGENTO]/app/etc/modules/_
13.  Remove file:  
    _[MAGENTO]/js/scalapay/jquery.colorbox.js_	
14.  Copy new file to:  
    _[MAGENTO]/js/scalapay/_	
15.  Remove all files in:  
    _[MAGENTO]/skin/frontend/base/default/scalapay/_	
16.  Copy new file to:  
    _[MAGENTO]/skin/frontend/base/default/scalapay/_
17.  Copy file:  
    _/app/design/frontend/rwd/default/template/catalog/product/view.phtml  
    Replace with:  
    _[MAGENTO]/app/design/frontend/[YOUR_THEME_DIR]/default/template/catalog/product/view.phtml
     [NOTE:First take backup of your file because this will overide your file.If you don't want to replace all file ,you can just add <?php echo $this->getLayout()->getBlock('scalapay_product_instalments')->setTemplate('Scalapay/scalapay/product_instalments.phtml')->toHtml();?> in file below <?php echo $this->getTierPriceHtml() ?>.]	
18.  Login to Magento Admin and navigate to _System/Cache Management_
19.  Flush the cache storage by selecting _Flush Cache Storage_