<?php

class Scalapay_Scalapay_Model_Observer
{
    public function purifyScalapay(Varien_Event_Observer $observer)
    {
        Mage::register('scalapay_order_place_before', "yes");
        $event = $observer->getEvent();
        $order = $event->getOrder();
        if ($order) {
            $payment = $order->getPayment();
            $payment_method_code = $payment->getMethodInstance()->getCode();
            if ($payment_method_code == 'scalapay') {
                $transactionId = $payment->getTransactionId();
                if ($transactionId == "") {
                    $order->setState(Mage_Sales_Model_Order::STATE_CANCELED, true, 'Cancel Transaction.');
                    $order->setStatus("canceled");
                    $order->save();
                }
            }
        }
    }

    public function restrictOrder(Varien_Event_Observer $observer)
    {
        $isNotDirect = Mage::registry('scalapay_order_place_before');
        $event = $observer->getEvent();
        $order = $event->getOrder();
        if ($order) {
            $payment = $order->getPayment();
            $payment_method_code = $payment->getMethodInstance()->getCode();
            if (
                $payment_method_code == 'scalapay' ||
                $payment_method_code == 'payin3' ||
                $payment_method_code == 'payin4' ||
                $payment_method_code == 'paylater'
            ) {
                if ($isNotDirect !== 'yes') {
                    $url = Mage::getUrl('checkout/cart');
                    $helper = Mage::helper('scalapay');
                    $error_message = $helper->__('An error occurred. Please try again.');
                    //$helper->getConfigData('scalapay_failed_payment_error');
                    Mage::getSingleton('checkout/session')->addError($error_message);

                    $url = Mage::getUrl('checkout/cart');
                    $order->setState(Mage_Sales_Model_Order::STATE_CANCELED, true, 'Cancel Transaction.');
                    $order->setStatus("canceled");

                    try {
                        $response = Mage::app()->getFrontController()->getResponse();
                        $response->setRedirect($url)->sendResponse();
                    } catch (Exception $e) {
                        header("Location: " . $url);
                    }

                    exit;
                }
            }
        }
    }
}
