<?php

class Scalapay_Scalapay_Model_System_Config_Source_Categories
{
    // get all Category List
    public function getCategoriesTreeView()
    {
        // Get category collection
        $categories = Mage::getModel('catalog/category')
            ->getCollection()
            ->addAttributeToSelect('name')
            ->addAttributeToSort('path', 'asc')
            ->addFieldToFilter('is_active', array('eq' => '1'))
            ->load()
            ->toArray();

        // Arrange categories in required array
        $categoryList = array();
        $categoryList[] = array(
                    'label' => "-",
                    'value' => ""
                );
        foreach ($categories as $catId => $category) {
            if (isset($category['name'])) {
                $categoryList[] = array(
                    'label' => $category['name'],
                    'level' => $category['level'],
                    'value' => $catId
                );
            }
        }
        return $categoryList;
    }

    // Return options to system config
    public function toOptionArray()
    {
        $options = array();
        $categoriesTreeView = $this->getCategoriesTreeView();
        foreach ($categoriesTreeView as $value) {
            $catName    = $value['label'];
            $catId      = $value['value'];
            if (isset($value['level'])) {
                $catLevel    = $value['level'];
            } else {
                $catLevel    = 1;
            }

            $hyphen = '-';
            for ($i = 1; $i < $catLevel; $i++) {
                $hyphen = $hyphen . "-";
            }

            $catName = $hyphen . $catName;

            $options[] = array(
               'label' => $catName,
               'value' => $catId
            );
        }

        return $options;
    }
}
