/**
 * Override the IWD checkout JS function
 */
(function () {
    if (typeof window.IWD !== 'undefined' && typeof window.IWD.OPC !== 'undefined') {
        /**
         * Override Saving order checkout to run Scalapay method first
         *
         * @type {IWD.OPC.callSaveOrder|*}
         */
        var saveOrder = window.IWD.OPC.callSaveOrder;
        window.IWD.OPC.callSaveOrder = function (form) {
            // if we have paid with the Scalapay pay over time method
            if (payment.currentMethod == 'scalapay') {
                // perform dispatch as per original
                IWD.OPC.Plugin.dispatch('saveOrder');

                // Run ajax to process Scalapay payment using Protorype
                var request = new Ajax.Request(
                    window.Scalapay.saveUrl, // use Scalapay controller
                    {
                        method: 'post',
                        parameters: form,
                        onSuccess: function (transport) {
                            var response = {};

                            // Parse the response - lifted from original method
                            try {
                                response = eval('(' + transport.responseText + ')');
                            } catch (e) {
                                response = {};
                            }

                            // if the order has been successfully placed
                            if (response.success) {
                                //modified to suit API V1
                                if ( window.ScalapayReturnUrl === false ) {
                                    if (typeof Scalapay.initialize === "function") {
                                        Scalapay.initialize(window.ScalapayCountryCode);
                                    } else {
                                        Scalapay.init();
                                    }
                                } else {
                                    Scalapay.init({
                                        relativeCallbackURL: window.ScalapayReturnUrl
                                    });
                                }

                                switch (window.Scalapay.redirectMode) {
                                    case 'lightbox':
                                        Scalapay.display({
                                            token: response.token
                                        });

                                        break;

                                    case 'redirect':
                                        Scalapay.redirect({
                                            token: response.token
                                        });

                                        break;
                                }
                            } else {
                                if (response.redirect) {
                                    this.isSuccess = false;
                                    location.href = response.redirect;
                                } else {
                                    alert(response.message);
                                }
                            }

                        }.bind(this),
                        onFailure: function () {
                            alert('Scalapay Gateway is not available.');
                        }
                    }
                );
            } else {
                // call the original function
                saveOrder.apply(this, arguments);
            }
        };
    }
})();