(function ($, window) {

    'use strict';

      $.widget('lotusbreath.onestepcheckout', $.lotusbreath.onestepcheckout, {

            placeOrder: function () {

                window.oscObserver.beforeSubmitOrder();



                /**
                     * stop submitting order
                     */
                 var isScalapay = false;

                if (window.oscObserver.stopSubmittingOrder && window.oscObserver.stopSubmittingOrder == true) {
                    return;
                }



                var _this = this;

                var data = $("#checkout_form").serializeArray();
                $.each(data, function (i, field) {

                    if (field.name == 'payment[method]' && field.value == 'scalapay') {
                        isScalapay = true;
                    }
                });




                if (isScalapay) {
                    var url = window.Scalapay.saveUrl;
                } else {
                    var url = this.options.submitUrl;
                }


                $.ajax({

                    url: url,

                    type: 'post',

                    context: this,

                    data: data,

                    dataType: 'json',

                    beforeSend: function () {

                        $(".error").html('');

                        _this._loadWait('checkoutSteps', true);

                    },



                    error: function (request, status, error) {

                    },

                    complete: function (response) {

                        try {
                            if (isScalapay) {
                                 // Parse the responseScalapay
                                try {
                                     var responseScalapay = $.parseJSON(response.responseText);
                                } catch (e) {
                                    responseScalapay = {};
                                }

                                // if the order has been successfully placed


                                    // If response success
                                if (responseScalapay.success) {
                                    window.location.href = responseScalapay.redirect;
                                } else {
                                    if (responseScalapay.redirect) {
                                        this.isSuccess = false;
                                        window.location.href = responseScalapay.redirect;
                                    } else {
                                        alert(responseScalapay.message);
                                    }
                                }

                                return;
                            } else {
                                var responseObject = $.parseJSON(response.responseText);

                                var result = responseObject.results;
                            }
                        } catch (ex) {
                            _this._removeWait();

                            return false;
                        }

                        var isError = false;

                        _this._updateHtml(responseObject);

                        _this._removeWait('checkoutSteps');





                        $("#saveOder-error").html('');

                        if (result) {
                            if (result.save_order && result.save_order.error && result.save_order.error == true) {
                                //error_messages

                                $("#saveOder-error").html(result.save_order.error_messages);

                                isError = true;
                            }



                            $(".mage-error").show();

                            if (result.billing && typeof(result.billing.error) != "undefined" && result.billing.error != 0) {
                                _this._showError("#billing-error", result.billing.message);

                                isError = true;
                            } else {
                                $("#billing-error").html('');
                            }

                            //payment-error

                            if (result.payment && typeof(result.payment.error) != "undefined" && result.payment.error != 0) {
                                _this._showError("#payment-error", result.payment.message);

                                isError = true;
                            } else {
                                $("#payment-error").html('');
                            }

                            if (result.shipping_method && typeof(result.shipping_method.error) != "undefined" && result.shipping_method.error != 0) {
                                _this._showError("#shippingmethod-error", result.shipping_method.message);

                                isError = true;
                            } else {
                                $("#shippingmethod-error").html('');
                            }



                            if (isError == true) {
                                return false;
                            }
                        }





                        result = window.oscObserver.afterSaveOrder(response, result);



                        if (responseObject.success == false) {
                            if (responseObject.update_section) {
                                if (responseObject.update_section.name == 'paypaliframe') {
                                    _this._removeWait('checkoutSteps');

                                    $("#lbonepage-place-order-btn").hide();

                                    $("#checkout-paypaliframe-load").html(responseObject.update_section.html);

                                    $.magnificPopup.open(
                                        {

                                            items: {

                                                type: 'inline',

                                                src: '#checkout-paypaliframe-load',

                                                modal: true

                                            },

                                            modal: true

                                        }
                                    );

                                    return;
                                }
                            }
                        }



                        if (result && result.payment && result.payment.redirect) {
                            window.location = result.payment.redirect;

                            return;
                        }

                        if (result && result.save_order && result.save_order.success == true) {
                            var redirectUrl = this.options.review.successUrl;

                            if (result.save_order.redirect) {
                                redirectUrl = result.save_order.redirect;
                            }



                            window.location = redirectUrl;
                        }

                    }

                });

            }




        });




})(jQuery, window);