(function () {
    if (typeof window.Review !== "undefined") {
        var target = window.Review;
    } else if (typeof window.Payment !== "undefined") {
        var target = window.Payment;
    } else {
        var target = false;
    }

    /**
     * Override the save method when placing order
     */

    if (target) {
        var reviewSave = target.prototype.save;
        target.prototype.save = function () {
            // check payment method
            if (payment.currentMethod == 'scalapay') {
                this.saveUrl = window.Scalapay.saveUrl;

                this.onComplete = function (transport) {

                    var response = {};

                    // Parse the response
                    try {
                        response = JSON.parse(transport.responseText);
                    } catch (e) {
                        response = {};
                    }

                    // If response success
                    if (response.success) {
                        window.location.href = response.redirect;
                    } else {
                        if (response.redirect) {
                            this.isSuccess = false;
                            window.location.href = response.redirect;
                        } else {
                            alert(response.message);
                        }
                    }
                };
            }

            /**
             * Call original function
             */
            reviewSave.apply(this, arguments);
        };
    }
})();