/**
 *
 * @see app/design/frontend/base/default/template/scalapay/form/scalapay_custom.phtml
 * @see app/design/frontend/base/default/template/scalapay/checkout/title_custom.phtml
 */
;(function (Prototype, Element) {

    if (! Prototype || ! Element) {
        return;
    }

    var Scalapay = window.Scalapay = window.Scalapay || {};
    Scalapay.CheckoutForm = Scalapay.CheckoutForm || {};

    var renderCheckoutTemplate = function (template, config) {
        return template.gsub(config.nopReplace, config.scalapayNop).gsub(config.logoReplace, config.scalapayLogo).gsub(config.priceReplace, '<span id="scalapay_price">' + config.price + '</span>');
    };

    Scalapay.CheckoutForm.detailsConfiguration = null;

    Scalapay.CheckoutForm.detailsRender = function () {

        var configuration = this.detailsConfiguration;
        if (! configuration instanceof Object) {
            console.warn("Scalapay: checkout details configuration not initialized.");
            return;
        }
        try {
            var scalapayForms = Prototype.Selector.select(configuration.cssSelector);
            Element.insert(scalapayForms[0], {
                after: renderCheckoutTemplate(configuration.template, configuration)
            });
        } catch (e) {
        }
    };

    Scalapay.CheckoutForm.titleConfiguration = null;

    Scalapay.CheckoutForm.titleRender = function () {

        var configuration = this.titleConfiguration;

        if (! configuration instanceof Object) {
            console.warn("Scalapay: checkout headline configuration not initialized.");
            return;
        }
        try {
            var scalapayForms = Prototype.Selector.select(configuration.cssSelector);

            Element.insert(scalapayForms[0], {
                before: renderCheckoutTemplate(configuration.template, configuration)
            });
        } catch (e) {
        }
    };

    //Payin4
    Scalapay.CheckoutForm.detailsRenderPayin4 = function () {

        var configuration = this.detailsConfigurationPayin4;
        if (! configuration instanceof Object) {
            console.warn("Scalapay Payin4: checkout details configuration not initialized.");
            return;
        }
        try {
            var scalapayFormsPayin4 = Prototype.Selector.select(configuration.cssSelector);
            Element.insert(scalapayFormsPayin4[0], {
                after: renderCheckoutTemplate(configuration.template, configuration)
            });
        } catch (e) {
        }
    };

    Scalapay.CheckoutForm.titleConfigurationPayin4 = null;

    Scalapay.CheckoutForm.titleRenderPayin4 = function () {

        var configuration = this.titleConfigurationPayin4;

        if (! configuration instanceof Object) {
            console.warn("Scalapay: checkout headline configuration not initialized.");
            return;
        }
        try {
            var scalapayFormsPayin4 = Prototype.Selector.select(configuration.cssSelector);

            Element.insert(scalapayFormsPayin4[0], {
                before: renderCheckoutTemplate(configuration.template, configuration)
            });
        } catch (e) {
        }
    };



    //Paylater
    Scalapay.CheckoutForm.detailsRenderPaylater = function () {

        var configuration = this.detailsConfigurationPaylater;
        if (! configuration instanceof Object) {
            console.warn("Scalapay Payin4: checkout details configuration not initialized.");
            return;
        }
        try {
            var scalapayFormsPaylater = Prototype.Selector.select(configuration.cssSelector);
            Element.insert(scalapayFormsPaylater[0], {
                after: renderCheckoutTemplate(configuration.template, configuration)
            });
        } catch (e) {
        }
    };

    Scalapay.CheckoutForm.titleConfigurationPaylater = null;

    Scalapay.CheckoutForm.titleRenderPaylater = function () {

        var configuration = this.titleConfigurationPaylater;

        if (! configuration instanceof Object) {
            console.warn("Scalapay paylater: checkout headline configuration not initialized.");
            return;
        }
        try {
            var scalapayFormsPaylater = Prototype.Selector.select(configuration.cssSelector);

            Element.insert(scalapayFormsPaylater[0], {
                before: renderCheckoutTemplate(configuration.template, configuration)
            });
        } catch (e) {
        }
    };


})(window.Prototype, window.Element);
